Bug 839553 - [rhev] [rhevm-webadmin] No warning display, when destroying Storage Domain
[rhev] [rhevm-webadmin] No warning display, when destroying Storage Domain
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.3.0
Assigned To: Ayal Baron
yeylon@redhat.com
storage
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 05:34 EDT by vvyazmin@redhat.com
Modified: 2016-04-18 02:52 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-30 17:51:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvyazmin@redhat.com 2012-07-12 05:34:21 EDT
Description of problem:
Destroying  Storage Domain, and influence on VM with one or more disk(s), on same or different  Storage Domain(s)

Version-Release number of selected component (if applicable):
RHEVM 3.1 - SI9.1 

RHEV-M: rhevm-3.1.0-5.el6ev.noarch
VDSM: vdsm-4.9.6-17.0.el6.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6.x86_64

How reproducible:
100%

==Scenario A==

Steps to Reproduce:
1. Create 2 Storage Domain on same DC (SD-01, SD-02)
2. Create one VM with 2 disk (each one on different Storage Domain). Disk-01 on SD-01, and Disk-02 on SD-02
3. Move SD-01 to “Maintenance” mode
4. “Destroy” SD-01
  
Actual results:
1. You get VM with one disk (Disk-02 on SD-02)
2. No warning message is displayed. Warning message must be displayed with message “You have VM’s ( ... and all VM’s list) that have disk on following  Storage Domain, that you will Destroy ...”
3. Must warn / prevent delete, booting disk (because, there is a huge percent, that there is a critical data to VM OS)

==Scenario B==

Steps to Reproduce:
3. Create Storage Domain 
4. Create one VM with disk (Disk-01 on SD-01)
3. Move SD-01 to “Maintenance” mode
4. “Destroy” SD-01
  
Actual results:
1. You get VM without disk
2. No warning message is displayed. Warning message must be displayed with message “You have VM’s ( ... and all VM’s list) that have disk on following  Storage Domain, that you will Destroy ...”
3. Must warn / prevent delete, booting disk (because, there is a huge percent, that there is a critical data to VM OS)

Expected results:
Display warning message.
Comment 1 Itamar Heim 2013-01-30 17:51:53 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.